org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod

All Implemented Interfaces:
  CircuitBreakerLifecycleService

    @Dependent
     @Typed(value=DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod.class)
    public class DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod
    extends BaseCircuitBreakerOnClassAndMethod

### Constructor Summary

Constructors
Constructor and Description
`DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod

`instanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod

    public DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod()

### Method Detail

#### service

    public void service()
                 throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Overrides:
  `service` in class `BaseCircuitBreakerOnClassAndMethod`
Throws:
  `IOException`